digiKam Developer Documentation: Digikam::IccProfile Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::IccProfile Class Reference

## Public Types
enum | ProfileType { InvalidType , Input , Output , Display , Abstract , ColorSpace , DeviceLink , NamedColor }

## Public Member Functions
| IccProfile ()
| Creates a null profile.
| IccProfile (const IccProfile &other)
| IccProfile (const QByteArray &data)
| Creates a profile from the given data in memory.
| IccProfile (const QString &filePath)
| Creates a profile from the given file.
void | close ()
| Close the profile, freeing resources.
QByteArray | data ()
| Returns the raw profile data.
QString | description ()
| Reads the profile description.
QString | filePath () const
| Returns the filename that this profile was read from.
void * | handle () const
| Access to the LCMS cmsHPROFILE handle.
bool | isNull () const
bool | isOpen () const
| Returns if the profile is opened.
bool | isSameProfileAs (IccProfile &other)
| This method compares the actual profile data bit by bit.
bool | open ()
| Open this profile.
| operator void * () const
bool | operator!= (const IccProfile &other) const
IccProfile & | operator= (const IccProfile &other)
bool | operator== (const IccProfile &other) const
| Returns true if both profiles are null, if both profiles are created from the same file profile, or if the loaded profile data is identical.
ProfileType | type ()
bool | writeToFile (const QString &filePath)
| Writes the profile to the given file.

## Static Public Member Functions
static IccProfile | adobeRGB ()
static void | considerOriginalAdobeRGB (const QString &filePath)
static QList< IccProfile > | defaultProfiles ()
| Returns a list with the profiles above.
static QStringList | defaultSearchPaths ()
| Returns the default search paths for ICC profiles.
static IccProfile | proPhotoRGB ()
static QList< IccProfile > | scanDirectories (const QStringList &dirs)
static IccProfile | sRGB ()
| Returns the profiles available with RawEngine.
static IccProfile | wideGamutRGB ()

## Member Enumeration Documentation

## ◆ ProfileType

enum Digikam::IccProfile::ProfileType

Enumerator
InvalidType | Returned for a null profile or an unknown (non-standard) profile type.
Input | For an input device like a scanner or digital camera.
Output | For an output device like a printer.
Display | For a display device like a monitor.

## Member Function Documentation

## ◆ close()

void Digikam::IccProfile::close | ( |  | ) |

You can re-open. Called automatically at destruction.

## ◆ data()

QByteArray Digikam::IccProfile::data | ( |  | ) |

Reads the data from disk if loaded from disk and not yet loaded.

## ◆ defaultSearchPaths()

QStringList Digikam::IccProfile::defaultSearchPaths | ( |  | ) |
| static

This does not include any user-specified settings.

## ◆ description()

QString Digikam::IccProfile::description | ( |  | ) |

Opens the profile if necessary.

## ◆ filePath()

QString Digikam::IccProfile::filePath | ( |  | ) | const

returns a null QString() if this profile was loaded from memory.

## ◆ open()

bool Digikam::IccProfile::open | ( |  | ) |

Returns true if the operation succeeded or the profile is already open. Returns false if the profile is null or the operation failed. You need to open each profile after construction.

## ◆ operator==()

bool Digikam::IccProfile::operator== | ( | const IccProfile & | other | ) | const

Note: This will not ensure that the data is loaded. Use isSameProfile().

## ◆ sRGB()

IccProfile Digikam::IccProfile::sRGB | ( |  | ) |
| static

You still need to call open() on them.

## ◆ type()

IccProfile::ProfileType Digikam::IccProfile::type | ( |  | ) |

< 'nkbf', proprietary in Nikon profiles